質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.21%

さくらVPS上のcentOS7でDockerコンテナプロセスが実行できません。

解決済

回答 1

投稿

  • 評価
  • クリップ 1
  • VIEW 471

kendo1251

score 9

さくらVPS、centOSにDockker環境を構築しました。イメージのpullはできますが、
そのイメージからコンテナプロセスの実行を試みると、以下のようなエラーが出ます。

#docker run -d -p ポート イメージ

d013c4452ed7e61636f093a81c377f4a3ceb2ce7edc42b59c1d3dd30a1f21f1a
[ 3361.157553] device vethb724d08 entered promiscuous mode
[ 3361.159027] IPv6: ADDRCONF(NETDEV_UP): vethb724d08: link is not ready
[ 3361.160253] docker0: port 1(vethb724d08) entered forwarding state
[ 3361.161610] docker0: port 1(vethb724d08) entered forwarding state
[ 3361.164357] docker0: port 1(vethb724d08) entered disabled state
[ 3361.321693] docker0: port 1(vethb724d08) entered disabled state
[ 3361.323359] device vethb724d08 left promiscuous mode
[ 3361.324310] docker0: port 1(vethb724d08) entered disabled state
/usr/bin/docker-current: Error response fromdaemon: oci runtime error: container_linux.go:247: starting container process caused "write parent: broken pipe".

検索しても解決できませんでした。同じような経験があれば、助言のほどよろしくお願いします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • kendo1251

    2019/04/23 13:48

    ありがとうございます。
    Client:
    Version: 1.13.1
    API version: 1.26
    Package version: docker-1.13.1-94.gitb2f74b2.el7.centos.x86_64
    Go version: go1.10.3
    Git commit: b2f74b2/1.13.1
    Built: Tue Mar 12 10:27:24 2019
    OS/Arch: linux/amd64

    Server:
    Version: 1.13.1
    API version: 1.26 (minimum version 1.12)
    Package version: docker-1.13.1-94.gitb2f74b2.el7.centos.x86_64
    Go version: go1.10.3
    Git commit: b2f74b2/1.13.1
    Built: Tue Mar 12 10:27:24 2019
    OS/Arch: linux/amd64
    Experimental: false
    と出てきました。
    バージョンが噛み合ってないとかでしょうか?

    キャンセル

  • zembutsu

    2019/04/23 14:10

    何度もすみません、 `uname -a` と `cat /etc/redhat-release` の情報もいただけますでしょうか。こちらに今 CentOS 7.4 の環境がありまして、その上で yum install docker-io をインストールしたバージョンは正常に動作しました。
    状況としましては https://github.com/moby/moby/issues/31037 で報告されているような事例と近いか、何かシステム上バージョン違いがあるのかもしれません。

    キャンセル

  • kendo1251

    2019/04/23 15:36

    uname-a:
    Linux tk2-409-45671.vs.sakura.ne.jp 3.10.0-327.36.3.el7.x86_64 #1 SMP Mon Oct 24 16:09:20UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
    cat /etc/redhat-release:
    CentOS Linux release 7.2.1511 (Core)
    以上になります。
    調査していただき、ありがとうございます。

    キャンセル

回答 1

checkベストアンサー

+2

CentOS 7.2 では、各種依存関係が原因で、標準で使える dockerio パッケージ(Docker 1.13.x) を利用すると、正常に操作ができません。

そのため、CentOS リポジトリで使える dockerio パッケージは削除し、Dockerが提供している最新のパッケージを再セットアップすると、動作します。

削除方法は:

$ sudo systemctl stop docker
$ sudo yum erase docker-*

新しい Docker を有効化するには:

$ curl -fsSL https://get.docker.com -o get-docker.sh
$ sudo sh ./get-docker.sh
$ sudo systemctl start docker

こちらの方法ではいかがでしょうか。

投稿

さくらインターネット コミュニティ、Developer Advocate
  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/04/24 09:33

    ご教授いただいた方法で解決しました。
    ありがとうございました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.21%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる